Get information about a custom blocklist
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/customblacklists/{customBlacklistId}
Path Parameters
- clientIdinteger<int64>requiredDescriptionFormatint64
- customBlacklistIdinteger<int64>requiredDescriptionFormatint64
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Responses
200
- RestCustomBlacklist
- idinteger<int64>DescriptionFormatint64
- namestringDescription
- hashAlgorithmstring<NONE | MD5 | SHA1 | SHA2_256 | SHA2_512 | SHA2_256_OF_MD5_AND_DATA>DescriptionAllowedNONEMD5SHA1SHA2_256SHA2_512SHA2_256_OF_MD5_AND_DATA
- createdstring<date-time>DescriptionFormatdate-time
- modifiedstring<date-time>DescriptionFormatdate-time
- linksobject[]Description
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
404
409
curl
curl --request GET \
--url https://api.campaign.episerver.net/rest/{clientId}/customblacklists/{customBlacklistId} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/customblacklists/{customBlacklistId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/customblacklists/{customBlacklistId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/customblacklists/{customBlacklistId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The custom blocklist was retrieved successfully.
{
"id": "",
"name": "",
"hashAlgorithm": "",
"created": "",
"modified": "",
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
]
}404
// The custom blocklist could not be found. Ensure that the required parameters such as "customBlacklistId" are correct and the custom blocklist exists.
409
// The custom blocklist could not be transmitted. Ensure that the required parameters such as "customBlacklistId" are correct and the custom blocklist exists.